
openr, 1, 'field_null.dat'
field_true=fltarr(10)
readf, 1, field_true
field_null=fltarr(10, 1000)
readf, 1, field_null
close, 1

for i=0,9 do begin & field=reform(field_null[i,*],1000) & field=field[sort(field)] & field_rev=field[reverse(sort(field))] & w_lo=where(field_true[i] le field) & w_hi=where(field_true[i] ge field_rev) & print, 'Corr: ', w_lo[0]/1000.0, ' ', w_hi[0]/1000.0 & endfor

set_plot, 'ps'
device, filename='field_field.eps'
str_list=["Math-Math", "Math-Cog", "Math-Bio", "Math-Soc", "Cog-Cog", "Cog-Bio", "Cog-Soc", "Bio-Bio", "Bio-Soc", "Soc-Soc"]
!p.multi=[0,4,4]
n=0
for i=0,3 do begin & for j=0,i-1 do begin & plot, fltarr(6)+2, xrange=[2,5], xstyle=1, /nodata & endfor & for j=i,3 do begin & histogram_ez, field_null[n,*], binsize=0.05, xrange=[2,5], xstyle=1, thick=3, charthick=3, xthick=3, ythick=3, xtitle=str_list[n]+' avg. distance' & oplot, [field_true[n], field_true[n]], [0, 1000], linestyle=2, thick=3 & n+=1 & endfor & endfor
device, /close_file
set_plot, 'x'

set_plot, 'ps'
device, filename='sex_sex.eps'

!p.multi=[0,2,2]

openr, 1, 'mm_null.dat'
field_true=0d0
readf, 1, field_true
field_null=dblarr(1000)
readf, 1, field_null
close, 1

histogram_ez, field_null, binsize=0.05, xrange=[2,5], thick=3, charthick=3, xthick=3, ythick=3, xstyle=1, xtitle='Male-Male avg. distance'
oplot, [field_true, field_true], [0,1000], linestyle=2, thick=3

openr, 1, 'mf_null.dat'
field_true=0d0
readf, 1, field_true
field_null=dblarr(1000)
readf, 1, field_null
close, 1

histogram_ez, field_null, binsize=0.05, xrange=[2,5], thick=3, charthick=3, xthick=3, ythick=3, xstyle=1, xtitle='Male-Female avg. distance'
oplot, [field_true, field_true], [0,1000], linestyle=2, thick=3

openr, 1, 'ff_null.dat'
field_true=0d0
readf, 1, field_true
field_null=dblarr(1000)
readf, 1, field_null
close, 1

plot, fltarr(6)+2, xrange=[2,5], xstyle=1, thick=3, charthick=3, xthick=3, ythick=3, /nodata

histogram_ez, field_null, binsize=0.05, xrange=[2,5], thick=3, charthick=3, xthick=3, ythick=3, xstyle=1, xtitle='Female-Female avg. distance'
oplot, [field_true, field_true], [0,1000], linestyle=2, thick=3

device, /close_file
set_plot, 'x'

set_plot, 'ps'
device, filename='hypernorm.eps'

!p.multi=[0,1,1]
openr, 1, 'hypernorm_null.dat'
field_true=0d0
readf, 1, field_true
field_null=dblarr(1000)
readf, 1, field_null
close, 1

histogram_ez, sqrt(field_null), binsize=0.001, xtitle='RMS Fluctuations from Max-L', xrange=[1e-3, 1], /xlog
oplot, sqrt([field_true, field_true]), [0,1000], linestyle=2, thick=3

device, /close_file
set_plot, 'x'

print, size(where(field_true ge field_null), /n_elements)/(1.0*size(field_null, /n_elements))




